using GameAtlas.Views;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace GameAtlas.Models
{
    [DataContract]
    public class Utilisateur
    {
        [DataMember]
        public string Mail { get; private set; }
        [DataMember]
        public string Pseudo { get; private set; }
        [DataMember]
        public string Mdp { get; private set; }
        [DataMember]
        public List<Jeu> ListePossedes { get; private set; }
        [DataMember]
        public List<Jeu> ListeFavoris { get; private set; }

        public Utilisateur(string mail, string pseudo, string mdp)
        {
            Mail = mail;
            Pseudo = pseudo;
            Mdp = mdp;
            ListePossedes = new List<Jeu>();
            ListeFavoris = new List<Jeu>();
        }



        public int Connexion(string pseudo, string mdp) { return 0; }
        public int Inscription(string mail, string pseudo, string mdp) { return 0; }
        public void AjouterCom(Jeu jeu, string com) { }
        public void SupprimerCom(Jeu jeu, string com) { }
        public void AjouterEvaluation(Jeu jeu, int nbEtoiles) { }
    }
}
